import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { Staff } from 'src/mysqlcompany/staffs/entities/staff.entity';
import {
  Column,
  Entity,
  JoinColumn,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';

// @Entity('departments')
@Entity('departments')
export class Department {
  @ApiProperty({
    type: Number,
    name: '_id',
    description: 'id of department, auto-incremented',
    required: true,
  })
  @PrimaryGeneratedColumn('increment', { name: '_id' })
  id: number;

  @ApiProperty({
    type: String,
    name: 'name',
    description: 'Department name',
    required: true,
  })
  @Column({
    type: 'varchar',
  })
  name: string;

  @OneToMany(() => Staff, (staff) => staff.department)
  @ApiProperty({
    name: 'staffs',
    description: 'The staffs under this department',
    type: [Staff],
  })
  @ApiPropertyOptional()
  // @JoinColumn({ name: 'id', referencedColumnName: 'department_id' })
  staffs: Staff[];
}
