import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString, IsNumber, IsOptional } from 'class-validator';
export class StaffCreateDto {
  // NOTE: Since the id is auto-inc, so no id for the creation
  // id: number;

  @ApiProperty({
    type: String,
    name: 'name',
    description: 'Staff name',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  name: string;

  @ApiProperty({
    type: Number,
    name: 'staffCode',
    description: 'Staff code/ID',
    required: false,
  })
  @IsNumber()
  @IsOptional()
  staffCode: number;

  @ApiProperty({
    type: Number,
    name: 'departmentId',
    description: 'Department ID',
    required: false,
  })
  @IsNumber()
  @IsOptional()
  departmentId: number;
}
